Imports DevExpress.Web

Public Class ucEtapa2
    Inherits System.Web.UI.UserControl

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

    End Sub

    Protected Sub gridPostulantes_HtmlDataCellPrepared(sender As Object, e As DevExpress.Web.ASPxGridViewTableDataCellEventArgs) Handles gridPostulantes.HtmlDataCellPrepared
        If e.DataColumn.FieldName = "nombreEstado" Then
            Dim idEstado As Integer = CInt(TryCast(sender, ASPxGridView).GetRowValues(e.VisibleIndex, "idEstadoConcursoPostulante"))
            Select Case idEstado
                Case 2, 3, 4
                    e.Cell.BackColor = System.Drawing.Color.FromArgb(&H99, &H0, &H0)
                    e.Cell.ForeColor = Drawing.Color.White
                Case 5
                    e.Cell.BackColor = System.Drawing.Color.LightGreen
                Case Else
                    Exit Select
            End Select
        End If
    End Sub
End Class